Request

POST: https://staging.pay2free.com/v2/withdraw/create


Dictionary Withdraw

Type
merchant (required)Provided by us, it's an internal ID that identifies the merchant.
externalId (required)Payee ID in your system.
cpf (required)Payee's document.
email (required)Payee's email address.
name (required)Payee's name.
pixKey (required)Key that identifies payee account in brazilian payment system (Pix).
pixType (optional)Payee Pix key type. Is currently possible to send Pix to multiple keys, be it CPF, EMAIL, PHONE, EVP (Random Key) or ACCOUNT a custom value with payer's bank account with format pixKey;bankispb;bankbranch;bankaccount;typeaccount .
value (required)Transaction value.
transactionId (required)Correlation identifier for this transaction. Must be unique and will be used in our webhook to notify events about this transaction.
phone (optional)Payee's phone number.
birthday (optional)Payee's birthday.



Use the examples below to perform tests:

Standard Key

Type CPF, email, telephone or random key.

curl --location 'https://{baseurl}/v2/withdraw/create' \
--header 'x-pixer-api-key: Api-Key TOKEN' \
 --header 'Content-Type: application/json' \
 --data-raw '{
 "merchant": "64abf106aa289a9578099537",
 "client": {
     "externalId": "38af8438-6016-4fd5-8049-e66dc427b5d8",
     "cpf": "103.339.816-00",
     "email": "[email protected]",
     "name": "Alexandre Gustavo Galvão",
     "phone": "+5582998950275",
     "birthday": "1960-06-09"
 },
     "pixKey": "10333981600",
     "value": 0.01,
     "transactionId": "00000005"
 }'

Custom Key with payer's bank account

Format: pixKey;bankispb;bankbranch;bankaccount;typeaccount.

  • pixKey: Payer's Pix key.
  • bankispb: Payer's bank ISBP code.
  • bankbranch: Payer's bank account branch number.
  • bankaccount: Payer's bank account number.
  • typeaccount: CACC | SVGS | TRAN.
curl --location 'https://{baseurl}/v2/withdraw/create' \
--header 'x-pixer-api-key: Api-Key TOKEN' \
 --header 'Content-Type: application/json' \
 --data-raw '{
 "merchant": "64abf106aa289a9578099537",
 "client": {
     "externalId": "38af8438-6016-4fd5-8049-e66dc427b5d8",
     "cpf": "103.339.816-00",
     "email": "[email protected]",
     "name": "Alexandre Gustavo Galvão",
     "phone": "+5582998950275",
     "birthday": "1960-06-09"
 },
     "pixKey": "10333981600;000000;0001;00000000;CACC",
     "value": 0.01,
     "transactionId": "00000005"
 }'